Package Gnumed :: Package wxpython :: Package patient :: Module gmGP_ScratchPadRecalls :: Class ScratchPadRecalls |
[frames] | no frames]

# Class ScratchPadRecalls

source code

                           ??-365 --+
                                    |
    gmPatientHolder.PatientHolder --+
                                    |
                                   ScratchPadRecalls

Instance Methods
__init__(self, parent, id=-1) | source code
create_widgets(self) | source code
layout_widgets(self) | source code
register_interests(self) | source code
UpdateRecalls(self, patid) | source code
UpdateScratchpad(self, patid) | source code
OnPatientID(self, **kwargs) must be executed when the current patient changes. | source code

Method Details

### OnPatientID(self, **kwargs) | source code
must be executed when the current patient changes. Updates all widgets accordingly